[arch-commits] Commit in gdb/repos (6 files)
Evangelos Foutras
foutrelis at archlinux.org
Sat Sep 19 16:50:41 UTC 2015
Date: Saturday, September 19, 2015 @ 18:50:41
Author: foutrelis
Revision: 246662
archrelease: copy trunk to staging-i686, staging-x86_64
Added:
gdb/repos/staging-i686/
gdb/repos/staging-i686/PKGBUILD
(from rev 246661, gdb/trunk/PKGBUILD)
gdb/repos/staging-i686/gdb.install
(from rev 246661, gdb/trunk/gdb.install)
gdb/repos/staging-x86_64/
gdb/repos/staging-x86_64/PKGBUILD
(from rev 246661, gdb/trunk/PKGBUILD)
gdb/repos/staging-x86_64/gdb.install
(from rev 246661, gdb/trunk/gdb.install)
----------------------------+
staging-i686/PKGBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++
staging-i686/gdb.install | 20 +++++++++++++++++
staging-x86_64/PKGBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++
staging-x86_64/gdb.install | 20 +++++++++++++++++
4 files changed, 140 insertions(+)
Copied: gdb/repos/staging-i686/PKGBUILD (from rev 246661, gdb/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD (rev 0)
+++ staging-i686/PKGBUILD 2015-09-19 16:50:41 UTC (rev 246662)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gdb
+pkgver=7.10
+pkgrel=4
+pkgdesc='The GNU Debugger'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/gdb/'
+license=(GPL3)
+depends=(ncurses expat python xz guile)
+makedepends=(texinfo)
+backup=(etc/gdb/gdbinit)
+install=gdb.install
+source=(http://ftp.gnu.org/gnu/gdb/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('95338f65ae9f61ecb76592f2cbe336a7d948b905'
+ 'SKIP')
+validpgpkeys=('F40ADB902B24264AA42E50BF92EDB04BFF325CF3') # Joel Brobecker
+
+prepare() {
+ cd gdb-$pkgver
+
+ # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+ sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+ cd gdb-$pkgver
+
+ ./configure --prefix=/usr --disable-nls \
+ --with-system-readline \
+ --with-python=/usr/bin/python3 \
+ --with-system-gdbinit=/etc/gdb/gdbinit
+ make
+}
+
+package() {
+ cd gdb-$pkgver
+ make DESTDIR=$pkgdir install
+
+ # install "custom" system gdbinit
+ install -dm755 $pkgdir/etc/gdb
+ touch $pkgdir/etc/gdb/gdbinit
+
+ # resolve conflicts with binutils
+ rm $pkgdir/usr/include/{ansidecl,bfd,bfdlink,dis-asm,plugin-api,symcat}.h
+ rm $pkgdir/usr/share/info/bfd.info
+ rm $pkgdir/usr/lib/{libbfd,libopcodes}.a
+}
Copied: gdb/repos/staging-i686/gdb.install (from rev 246661, gdb/trunk/gdb.install)
===================================================================
--- staging-i686/gdb.install (rev 0)
+++ staging-i686/gdb.install 2015-09-19 16:50:41 UTC (rev 246662)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(annotate.info gdb.info{,-{1,2,3,4,5,6}} stabs.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
Copied: gdb/repos/staging-x86_64/PKGBUILD (from rev 246661, gdb/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2015-09-19 16:50:41 UTC (rev 246662)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gdb
+pkgver=7.10
+pkgrel=4
+pkgdesc='The GNU Debugger'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/gdb/'
+license=(GPL3)
+depends=(ncurses expat python xz guile)
+makedepends=(texinfo)
+backup=(etc/gdb/gdbinit)
+install=gdb.install
+source=(http://ftp.gnu.org/gnu/gdb/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('95338f65ae9f61ecb76592f2cbe336a7d948b905'
+ 'SKIP')
+validpgpkeys=('F40ADB902B24264AA42E50BF92EDB04BFF325CF3') # Joel Brobecker
+
+prepare() {
+ cd gdb-$pkgver
+
+ # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+ sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+ cd gdb-$pkgver
+
+ ./configure --prefix=/usr --disable-nls \
+ --with-system-readline \
+ --with-python=/usr/bin/python3 \
+ --with-system-gdbinit=/etc/gdb/gdbinit
+ make
+}
+
+package() {
+ cd gdb-$pkgver
+ make DESTDIR=$pkgdir install
+
+ # install "custom" system gdbinit
+ install -dm755 $pkgdir/etc/gdb
+ touch $pkgdir/etc/gdb/gdbinit
+
+ # resolve conflicts with binutils
+ rm $pkgdir/usr/include/{ansidecl,bfd,bfdlink,dis-asm,plugin-api,symcat}.h
+ rm $pkgdir/usr/share/info/bfd.info
+ rm $pkgdir/usr/lib/{libbfd,libopcodes}.a
+}
Copied: gdb/repos/staging-x86_64/gdb.install (from rev 246661, gdb/trunk/gdb.install)
===================================================================
--- staging-x86_64/gdb.install (rev 0)
+++ staging-x86_64/gdb.install 2015-09-19 16:50:41 UTC (rev 246662)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(annotate.info gdb.info{,-{1,2,3,4,5,6}} stabs.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list